Subject: bug#13649: boobytrapped dired-do-async-shell-command question

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Feb 2013 12:01:39 -0500

> & runs the command dired-do-async-shell-command, which is an
> interactive autoloaded compiled Lisp function in `dired-aux.el'.

> It sometimes will ask
> A command is running in the default buffer.  Use a new buffer? (yes or no)

> Which is a boobytrapped question, as picking "no" will always end up
> in failure...

> So perhaps rewrite it so one knows there is only one good choice if one
> wants to proceed...

Maybe a better fix is to add a message afterwards, along the lines of
"Haha!  Gotcha!"

        Stefan